System Requirements

The Farminizer Software runs with Windows and Mac OS.

 
 
  • Windows 8, 7, Vista, XP or 2000
  • Your 3D application
  • MAC OS 10.4.4 or higher
  • Your 3D application

Login